net.sf.jasperreports.engine.data

## Class JRMapArrayDataSource

- java.lang.Object
- - net.sf.jasperreports.engine.data.JRMapArrayDataSource

- All Implemented Interfaces:
    JRDataSource, JRRewindableDataSource

      public class JRMapArrayDataSource
      extends java.lang.Object
      implements JRRewindableDataSource

  Version:
    $Id: JRMapArrayDataSource.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRMapArrayDataSource(java.lang.Object[] array)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRMapArrayDataSource` | `cloneDataSource()` Clones this data source by creating a new instance that reuses the same underlying map array.
    `java.lang.Object[]` | `getData()` Returns the underlying map array used by this data source.
    `java.lang.Object` | `getFieldValue(JRField field)` Gets the field value for the current position.
    `int` | `getRecordCount()` Returns the total number of records/maps that this data source contains.
    `void` | `moveFirst()` Moves back to the first element in the data source.
    `boolean` | `next()` Tries to position the cursor on the next element in the data source.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JRMapArrayDataSource

          public JRMapArrayDataSource(java.lang.Object[] array)

  - ### Method Detail

    - #### next

          public boolean next()

      Description copied from interface: `JRDataSource`
      Tries to position the cursor on the next element in the data source.
      Specified by:
        `next` in interface `JRDataSource`
      Returns:
        true if there is a next record, false otherwise

    - #### getFieldValue

          public java.lang.Object getFieldValue(JRField field)

      Description copied from interface: `JRDataSource`
      Gets the field value for the current position.
      Specified by:
        `getFieldValue` in interface `JRDataSource`
      Returns:
        an object containing the field value. The object type must be the field object type.

    - #### moveFirst

          public void moveFirst()

      Description copied from interface: `JRRewindableDataSource`
      Moves back to the first element in the data source.
      Specified by:
        `moveFirst` in interface `JRRewindableDataSource`

    - #### getData

          public java.lang.Object[] getData()

      Returns the underlying map array used by this data source.
      Returns:
        the underlying map array

    - #### getRecordCount

          public int getRecordCount()

      Returns the total number of records/maps that this data source contains.
      Returns:
        the total number of records of this data source

    - #### cloneDataSource

          public JRMapArrayDataSource cloneDataSource()

      Clones this data source by creating a new instance that reuses the same underlying map array.
      Returns:
        a clone of this data source

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com